Subject: How can I figure out what commits relate to a given diff?

From: "Steven A. Falco" <[email-masked]>
Date: Thu, 22 May 2008 11:21:34 -0400

I have a patch file, and I'd like to figure out which commits were used
to produce it.

For example, one of the diffs in the patch file begins with:

diff --git a/Makefile b/Makefile
index 9ceadaa..ad31bc6 100644

Is there a way to map a blob SHA1 to a commit?  In this example, I'd
like to map 9ceadaa and ad31bc6 to their commits.  It seems easy to go
the other way, seeing what is in a commit, but I've not been able to
find a method for going "backwards" from a blob to a commit.

    Thanks,
    Steve